FLIR One Developer / Blog / Topics / Android Error lib wrapper / Error when trying to run Flir One Example Application

Error when trying to run Flir One Example Application

Home Forums Android development Installation and getting started Error when trying to run Flir One Example Application

This topic contains 7 replies, has 4 voices, and was last updated by Profile photo of Dano Dano 3 weeks, 2 days ago.

Viewing 8 posts - 1 through 8 (of 8 total)

  • Author

    Posts

  • #7453

    Profile photo of Paulo Vicente
    Paulo Vicente

    Participant

    When i try to run the example application from Flir SDK file, i get the error:

    More than one file was found with OS independent path ‘lib/armeabi-v7a/libmbwrapper.so’

    Anyone already got this same error and found how to solve it?

    Thanks

    #7456

    Profile photo of Allison
    Allison

    Moderator

    Hi Paulo,

    What environment and version of the environment are you using to run the example app?

    Thank you,
    Allison Torchia

    #7457

    Profile photo of Paulo Vicente
    Paulo Vicente

    Participant

    Hi Alison,

    Android Studio 3.1.4
    Build #AI-173.4907809, built on July 23, 2018
    JRE: 1.8.0_152-release-1024-b02 amd64
    JVM: OpenJDK 64-Bit Server VM by JetBrains s.r.o
    Windows 10 10.0

    Thank you,
    Paulo Bach

    #7497

    Profile photo of Allison
    Allison

    Moderator

    Hi Paulo,

    I apologize for the delay in response.

    Have you changed the Gradle files since downloading the example app? If so, can you post them? Also what device are you running on? Is it a physical device or emulated?

    Thank you,
    Allison Torchia

    #7545

    Profile photo of Shane
    Shane

    Participant

    I am also having the same issue after updating my Android phone from 8.1 to 9.0 and cant go back now to the older version. Need assistance on this particular issue.

    #7546

    Profile photo of Allison
    Allison

    Moderator

    Hi Shane,

    I’m testing on a Pixel with Android 9.0 and having difficulties recreating the error. Was the SDK example application working smoothly before updating? Have you already tried cleaning and rebuilding the project? Were there any other changes to the project besides just attempting to run it on a device with Android 9 rather than 8?

    Please let me know the device you’re using, the version of android studio, build tools, FLIR SDK, and Gradle you’re using so I can continue troubleshooting.

    Thank you,
    Allison Torchia

    #7554

    Profile photo of Shane
    Shane

    Participant

    Oh i see, yeah i just solved the issue now hope it doesnt happen again after some time on my Android Pie 9.0

    #10055

    Profile photo of Dano
    Dano

    Participant

    Hello,

    I had the same error, so I cleaned and rebuilt my project, because the native code was present from the previous SDK version. I’ve a Huawei Honor 8 FRD-L04 7.0

Viewing 8 posts - 1 through 8 (of 8 total)

You must be logged in to reply to this topic.